> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Alterar papel de um membro (owner-only)



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi put /v1/organizations/{id}/members/{userId}/role
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/organizations/{id}/members/{userId}/role:
    put:
      tags:
        - Organizations
      summary: Alterar papel de um membro (owner-only)
      operationId: putV1OrganizationsByIdMembersByUserIdRole
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: ID da organização
        - in: path
          name: userId
          required: true
          schema:
            type: string
          description: ID do membro alvo
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - role
              properties:
                role:
                  type: string
                  enum:
                    - admin
                    - member
            example:
              role: admin
      responses:
        '200':
          description: Papel atualizado
          content:
            application/json:
              example:
                ok: true
                role: admin
        '400':
          description: Dados inválidos
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: validation error
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '403':
          description: Acesso negado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: forbidden
        '404':
          description: Recurso não encontrado
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: not found
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: internal_error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````